Bug 184012 - K3b hangs system on startup while "Scanning for CD devices"
K3b hangs system on startup while "Scanning for CD devices"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 19:30 EST by Kevin Ternes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 23:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Ternes 2006-03-04 19:30:32 EST
Description of problem:

When starting K3b, application stops while its splash screen is displaying
the status, "Scanning for CD devices".  The entire Gnome desktop becomes 
unresponsive although the mouse pointer still moves.  CTRL-ALT-BS kills X
but there is no terminal prompt available.  CTRL-ALT-DEL does nothing.
Have to cycle power to recover.

Version-Release number of selected component (if applicable):

$ k3b --version
Qt: 3.3.4
KDE: 3.5.1-0.1.fc4 Red Hat
K3b: 0.12.10

$ cdrecord --version
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) 

How reproducible:
Always

Steps to Reproduce:
1. Either select K3b from menu or type k3b from shell
2.
3.
  
Actual results:
Application hangs while "Scanning for CD devices".  System hang.

Expected results:
Application completes initialization and displays GUI.

Additional info:

This hang does NOT occur with kernel 2.6.13-1.1532-fc4smp.  K3b
works perfectly with that kernel.

It does occur exactly as described above with subsequent kernels.
I have tested:
2.6.14-1.1637-fc4smp, 2.6.14-1.1644-fc4smp, 2.6.14-1.1653-fc4smp, 
2.6.15-1.1831-fc4smp, 2.6.15-1.1831-fc4smp, 2.6.15-1.1833-fc4smp
Comment 1 Kevin Ternes 2006-03-04 19:34:36 EST
System uses a Adaptec 2940U2W and Plextor PlexWriter 10/12/32S
I have disconnected all SCSI devices except the boot drive and the PlexWriter
and still see this bug.
Comment 2 Christian Iseli 2007-01-19 19:41:02 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Kevin Ternes 2007-01-19 23:53:29 EST
Unable to verify because have no access to a system with FC5/6 equipped with a
CD writer.

Note You need to log in before you can comment on or make changes to this bug.